Lending
List Loan Offers
Browse open loan offers
GET
/
lending
/
offers
List Loan Offers
curl --request GET \
--url https://api.example.com/lending/offersimport requests
url = "https://api.example.com/lending/offers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/lending/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Request
string
Filter by currency.
number
default:"20"
Results per page.
number
default:"0"
Skip N results.
curl "https://api.midasprotocol.org/lending/offers?currency=USDC" \
-H "Authorization: Bearer pp_your_key"
Response
{
"data": [
{
"id": "uuid", "lenderId": "...", "amount": "100.00",
"currency": "USDC", "interestRate": 5, "durationDays": 30,
"collateralPercent": 50, "status": "OPEN"
}
],
"pagination": { "total": 3, "limit": 20, "offset": 0, "hasMore": false }
}
⌘I
List Loan Offers
